%wa_getSetPoint -  returns the current set point
%
% setPoint = wa_getSetPoint() returns the current set point as a double.
% 
% In order for this function to work, the wavemeter must not be displaying
% the setpoint (i.e. the setpoint LED should not be on).
%
% Example:
%
%   Read the set point:
%   >> setPoint = wa_getSetPoint()
% 
%
% Todd Karin
% 08/30/2012

function setPoint = wa_getSetPoint()

wa1500 = wa_findInstrument();

% Press set point button.
t=.1;
pause(t)
fprintf(wa1500,'@&');
pause(t)
reading = wa_getReading(wa1500);

pause(t)

% press set point button again
fprintf(wa1500,'@&');

pause(t)
% process

setPoint = str2double(reading{1});