%wa_close - Shut down communication to wavemeter
%
% Closes the wa1500 serial port object and removes from memory.
%
% Example call:
%
%   >> wa_close(wa1500)
%
% See Also: wa1500,
%
% Todd Karin
% 04/15/2015



function wa_close()

wa1500 = wa_findInstrument();

try
fclose(wa1500);
delete(wa1500);
clear wa1500;
catch
    disp('Closing wavemeter communication failed')
end